var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var F01212;
(function (F01212) {
    var TableRules = (function (_super) {
        __extends(TableRules, _super);
        function TableRules(document) {
            return _super.call(this, document) || this;
        }
        return TableRules;
    }(F01211.TableRules));
    F01212.TableRules = TableRules;
    var P4Sp3ObasTable = (function (_super) {
        __extends(P4Sp3ObasTable, _super);
        function P4Sp3ObasTable() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        P4Sp3ObasTable.prototype.GetPostKeyId = function () {
            return "Spr_01_03_ID";
        };
        return P4Sp3ObasTable;
    }(F01211.P4Sp3ObasTable));
    F01212.P4Sp3ObasTable = P4Sp3ObasTable;
})(F01212 || (F01212 = {}));
